Index: calculatorview/perspectives/calculator/aperture_editor.py
===================================================================
--- calculatorview/perspectives/calculator/aperture_editor.py	(revision 6d4891903c99abb2165866455c2ba14f67d6293f)
+++ calculatorview/perspectives/calculator/aperture_editor.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -31,5 +31,31 @@
         self._reset_aperture = deepcopy(aperture)
         self._notes = ""
-        self_description = "Edit aperture"
+        #self_description = "Edit aperture"
+        
+        #Attributes for panel
+        self.aperture_name_tcl = None
+        self.main_sizer = None
+        self.box_aperture = None
+        self.boxsizer_aperture = None
+        self.name_sizer = None
+        self.name_sizer = None
+        self.size_name_tcl  = None
+        self.type_sizer = None
+        self.distance_sizer = None
+        self.size_name_sizer = None
+        self.aperture_size_unit_tcl = None
+        self.aperture_size_sizer = None
+        self.button_sizer = None
+        self.aperture_name_tcl = None
+        self.type_tcl = None
+        self.distance_tcl = None
+        self.distance_unit_tcl = None
+        self.x_aperture_size_tcl = None
+        self.y_aperture_size_tcl = None
+        self.z_aperture_size_tcl = None
+        self.bt_apply = None
+        self.bt_cancel = None
+        self.bt_close = None
+        
         self._do_layout()
         self.set_values()
Index: calculatorview/perspectives/calculator/calculator.py
===================================================================
--- calculatorview/perspectives/calculator/calculator.py	(revision 74b1770c459412a087638d5bfaae3d22dc9df204)
+++ calculatorview/perspectives/calculator/calculator.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -1,3 +1,5 @@
-
+"""
+Calculator Module
+"""
 ################################################################################
 #This software was developed by the University of Tennessee as part of the
@@ -10,5 +12,5 @@
 ################################################################################
 
-import wx
+#import wx
 import logging
 
@@ -18,5 +20,4 @@
     for calculator perspective
     """
-    
     def __init__(self, standalone=True):
         """
@@ -25,5 +26,6 @@
         ## Plug-in name. It will appear on the application menu.
         self.sub_menu = "Calculator"        
-        
+        #standalone flag
+        self.standalone = standalone
         ## Reference to the parent window. Filled by get_panels() below.
         self.parent = None
@@ -78,5 +80,6 @@
         frame = HelpWindow(None, -1)    
         frame.Show(True)
-      
+        evt.Skip()
+        
     def get_context_menu(self, graph=None):
         """
@@ -117,5 +120,5 @@
         sld_help = "Provides computation related to Scattering Length Density"
         slit_length_help = "Provides computation related to Slit Length Density"
-        data_editor_help = "Meta Data Editor"
+        #data_editor_help = "Meta Data Editor"
         return [("SLD Calculator", sld_help, self.on_calculate_sld),
                 ("Slit Size Calculator", slit_length_help,
@@ -130,6 +133,8 @@
         """
         from data_editor import DataEditorWindow
-        frame = DataEditorWindow(parent=self.parent, data=[], title="Data Editor")
+        frame = DataEditorWindow(parent=self.parent, data=[],
+                                  title="Data Editor")
         frame.Show(True)
+        event.Skip()
 
     def on_calculate_kiessig(self, event):
@@ -140,5 +145,5 @@
         frame = KiessigWindow()
         frame.Show(True) 
-    
+        event.Skip()
        
     def on_calculate_sld(self, event):
@@ -149,5 +154,6 @@
         frame = SldWindow(base=self.parent)
         frame.Show(True) 
-    
+        event.Skip()
+        
     def on_calculate_slit_size(self, event):
         """
@@ -157,4 +163,5 @@
         frame = SlitLengthCalculatorWindow(parent=self.parent)    
         frame.Show(True)
+        event.Skip()
         
     def on_perspective(self, event):
@@ -168,6 +175,6 @@
         """
         self.parent.set_perspective(self.perspective)
-       
-    
+        event.Skip()
+        
     def post_init(self):
         """
Index: calculatorview/perspectives/calculator/calculator_widgets.py
===================================================================
--- calculatorview/perspectives/calculator/calculator_widgets.py	(revision b7e0ffff7f6eae27852d3df00dfd5a8704844789)
+++ calculatorview/perspectives/calculator/calculator_widgets.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -9,5 +9,5 @@
 """
 import wx
-import os
+#import os
 
 class InputTextCtrl(wx.TextCtrl):
@@ -20,6 +20,7 @@
         wx.TextCtrl.__init__(self, *args, **kwds)
         
-        ## Set to True when the mouse is clicked while the whole string is selected
-        full_selection = False
+        ## Set to True when the mouse is clicked while the whole 
+        #string is selected
+        self.full_selection = False
         ## Call back for EVT_SET_FOCUS events
         _on_set_focus_callback = None
@@ -52,6 +53,6 @@
                 # if not, select the whole string
                 (start, end) = control.GetSelection()
-                if start==end:
-                    control.SetSelection(-1,-1)
+                if start == end:
+                    control.SetSelection(-1, -1)
 
     
Index: calculatorview/perspectives/calculator/collimation_editor.py
===================================================================
--- calculatorview/perspectives/calculator/collimation_editor.py	(revision 6137b1500635c6fedd6d779d3ae59748933c5e73)
+++ calculatorview/perspectives/calculator/collimation_editor.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -1,3 +1,4 @@
-
+"""
+"""
 import wx
 import sys
@@ -28,5 +29,5 @@
         """
         """
-        kwds['size'] =(PANEL_WIDTH, PANEL_HEIGHT)
+        kwds['size'] = (PANEL_WIDTH, PANEL_HEIGHT)
         kwds['title'] = "Collimation Editor"
         wx.Dialog.__init__(self, parent=parent, *args, **kwds)
@@ -37,4 +38,10 @@
         self._notes = ""
         self._description = "Edit collimation"
+        #layout attributes
+        self.main_sizer = None
+        self.box_collimation = None
+        self.boxsizer_collimation = None
+        
+        
         self._do_layout()
         self.set_values()
@@ -45,6 +52,8 @@
         """
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
-        self.box_collimation = wx.StaticBox(self, -1,str("Edit Selected Collimation"))
-        self.boxsizer_collimation = wx.StaticBoxSizer(self.box_collimation, wx.VERTICAL)
+        self.box_collimation = wx.StaticBox(self, -1,
+                                            str("Edit Selected Collimation"))
+        self.boxsizer_collimation = wx.StaticBoxSizer(self.box_collimation,
+                                                       wx.VERTICAL)
         
         collimation_box = wx.StaticBox(self, -1, "Edit Number of Collimations")
@@ -80,16 +89,21 @@
         
         self.bt_remove_collimation = wx.Button(self, -1, "Remove")
-        self.bt_remove_collimation.SetToolTipString("Remove data's collimation.")
+        hint = "Remove data's collimation."
+        self.bt_remove_collimation.SetToolTipString(hint)
         self.bt_remove_collimation.Bind(wx.EVT_BUTTON, self.remove_collimation)
       
-        self.collimation_button_sizer.AddMany([(collimation_name_txt, 0, wx.LEFT, 15),
+        self.collimation_button_sizer.AddMany([(collimation_name_txt, 0,
+                                                 wx.LEFT, 15),
                                      (self.collimation_cbox, 0, wx.LEFT, 5),
                                      (self.bt_add_collimation, 0, wx.LEFT, 10),
-                                     (self.bt_remove_collimation, 0, wx.LEFT, 5)])
+                                     (self.bt_remove_collimation,
+                                       0, wx.LEFT, 5)])
         collimation_hint_txt = 'No collimation is available for this data.'
         self.collimation_txt = wx.StaticText(self, -1, collimation_hint_txt) 
         self.collimation_hint_sizer.Add(self.collimation_txt, 0, wx.LEFT, 10)
-        self.collimation_sizer.AddMany([(self.collimation_button_sizer, 0, wx.ALL, 10),
-                                     (self.collimation_hint_sizer, 0, wx.ALL, 10)])
+        self.collimation_sizer.AddMany([(self.collimation_button_sizer,
+                                          0, wx.ALL, 10),
+                                     (self.collimation_hint_sizer,
+                                       0, wx.ALL, 10)])
      
         self.fill_collimation_combox()
@@ -115,5 +129,6 @@
         self.length_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)   
         length_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.length_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
+        self.length_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+                                           style=0)  
         self.length_sizer.AddMany([(length_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.length_tcl, 0, wx.LEFT, 12),
@@ -165,10 +180,11 @@
         self.aperture_txt = wx.StaticText(self, -1, aperture_hint_txt) 
         self.aperture_hint_sizer.Add(self.aperture_txt, 0, wx.LEFT, 10)
-        self.aperture_sizer.AddMany([(self.aperture_button_sizer, 0, wx.ALL, 10),
+        self.aperture_sizer.AddMany([(self.aperture_button_sizer,
+                                       0, wx.ALL, 10),
                                      (self.aperture_hint_sizer, 0, wx.ALL, 10)])
         self.fill_aperture_combox()
         self.enable_aperture()
     
-    def _do_layout(self, data=None):
+    def _do_layout(self):
         """
         Draw the current panel
@@ -265,5 +281,6 @@
     def on_select_collimation(self, event):
         """
-        fill the control on the panel according to the current  selected collimation 
+        fill the control on the panel according to 
+        the current  selected collimation 
         """
         self.set_values()
@@ -275,9 +292,11 @@
         Enable /disable widgets related to collimation
         """
-        if self._collimation is not None and self.collimation_cbox.GetCount() > 0:
+        if self._collimation is not None and \
+            self.collimation_cbox.GetCount() > 0:
             self.collimation_cbox.Enable()
             self.bt_remove_collimation.Enable()
             n_collimation = self.collimation_cbox.GetCount()
-            collimation_hint_txt = 'collimations available: %s '%str(n_collimation)
+            collimation_hint_txt = "collimations"
+            collimation_hint_txt += " available: %s "% str(n_collimation)
             if len(self._collimation) > 0:
                 self.bt_remove_collimation.Enable()
@@ -491,6 +510,6 @@
                     collimation.length  = float(length)
             else:
-                self._notes += "Error: Expected a float for collimation length "
-                self._notes += "won't changes length from "
+                self._notes += "Error: Expected a float for collimation length"
+                self._notes += " won't changes length from "
                 self._notes += "%s to %s"%(collimation.length, length)
         #change length  unit
@@ -518,8 +537,8 @@
         self.set_values()
         if self.manager is not None:
-             self.manager.set_collimation(self._collimation)
+            self.manager.set_collimation(self._collimation)
        
  
-if __name__ =="__main__":
+if __name__ == "__main__":
 
     app  = wx.App()
Index: calculatorview/perspectives/calculator/console.py
===================================================================
--- calculatorview/perspectives/calculator/console.py	(revision 91f151aa297ca6be7a92ce3c4ba7905d318441cf)
+++ calculatorview/perspectives/calculator/console.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -1,6 +1,5 @@
-import wx
-CONSOLE_WIDTH = 340
-CONSOLE_HEIGHT = 240
-
+"""
+Console Module display message of a dialog
+"""
 import wx
 import sys
@@ -8,5 +7,6 @@
 
 _BOX_WIDTH = 60
-
+CONSOLE_WIDTH = 340
+CONSOLE_HEIGHT = 240
 if sys.platform.count("win32")>0:
     _STATICBOX_WIDTH = 450
@@ -22,7 +22,7 @@
 
 class ConsoleDialog(wx.Dialog):
-    def __init__(self, parent=None, id=-1, manager=None, data=None,
-                        title="Data Summary",size=(PANEL_WIDTH, PANEL_HEIGHT)):
-        wx.Dialog.__init__(self, parent=parent, id=id, title=title, size=size)
+    def __init__(self, parent=None, manager=None, data=None,
+                    title="Data Summary", size=(PANEL_WIDTH, PANEL_HEIGHT)):
+        wx.Dialog.__init__(self, parent=parent, title=title, size=size)
    
         self.parent = parent
@@ -43,4 +43,5 @@
     def set_manager(self, manager):
         """
+        Set the manager of this window
         """
         self._manager = manager
@@ -48,8 +49,9 @@
     def set_message(self, msg=""):  
         """
+        Display the message received 
         """
         self.msg_txt.SetValue(str(msg))
  
-if __name__ =="__main__":
+if __name__ == "__main__":
    
     app  = wx.App()
@@ -57,6 +59,6 @@
     loader = Loader()
     # Load data 
-    data = loader.load("MAR07232_rest.ASC")
-    dlg = ConsoleDialog(data=data)
+    test_data = loader.load("MAR07232_rest.ASC")
+    dlg = ConsoleDialog(data=test_data)
     dlg.ShowModal()
     app.MainLoop()
Index: calculatorview/perspectives/calculator/data_editor.py
===================================================================
--- calculatorview/perspectives/calculator/data_editor.py	(revision c5dca876b23923d1c26b4f53976aeb2c1461d888)
+++ calculatorview/perspectives/calculator/data_editor.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -6,10 +6,13 @@
 
 from DataLoader.loader import Loader
-from DataLoader.data_info import DataInfo, Detector, Collimation, Data2D
+#from DataLoader.data_info import DataInfo
+#from DataLoader.data_info import  Detector
+#from DataLoader.data_info import Collimation
+from DataLoader.data_info import Data2D
 from detector_editor import DetectorDialog
 from collimation_editor import CollimationDialog
 from console import ConsoleDialog
 
-from sans.guiframe.utils import check_float
+#from sans.guiframe.utils import check_float
 from sans.guicomm.events import StatusEvent
 
@@ -19,5 +22,5 @@
 _NPTS_DEFAULT = 50
 #Control panel width 
-if sys.platform.count("darwin")==0:
+if sys.platform.count("darwin") == 0:
     PANEL_WIDTH = 500
     PANEL_HEIGTH = 350
@@ -43,7 +46,9 @@
     
     if error is not None:
-        message += "When contacting the DANSE team, mention the following:\n%s" % str(error)
-    
-    dial = wx.MessageDialog(None, message, 'Error Loading File', wx.OK | wx.ICON_EXCLAMATION)
+        message += "When contacting the DANSE team,"
+        message += " mention the following:\n%s" % str(error)
+    
+    dial = wx.MessageDialog(None, message, 
+                            'Error Loading File', wx.OK | wx.ICON_EXCLAMATION)
     dial.ShowModal() 
     
@@ -51,28 +56,29 @@
 class DataEditorPanel(wx.ScrolledWindow):
     """
-        @param data: when not empty the class can same information into a dat object
+    :param data: when not empty the class can 
+                same information into a dat object
         and post event containing the changed data object to some other frame
     """
     def __init__(self, parent, data=[], *args, **kwds):
-         kwds['name'] = "Data Editor"
-         kwds["size"]= (PANEL_WIDTH, PANEL_HEIGTH)
-         wx.ScrolledWindow.__init__(self, parent, *args, **kwds)
-         self.parent = parent
-         self._data = data
-         self._reset_data = deepcopy(data)
-         self.reader = None
-         self._notes = ""
-         self_description = "Edit Data"
-         self._default_save_location = os.getcwd()
-         self._do_layout()
-         self.reset_panel()
-         self.bt_apply.Disable()
-         if data:
-             self.complete_loading(data=data)
-             self.bt_apply.Enable()
+        kwds['name'] = "Data Editor"
+        kwds["size"] = (PANEL_WIDTH, PANEL_HEIGTH)
+        wx.ScrolledWindow.__init__(self, parent, *args, **kwds)
+        self.parent = parent
+        self._data = data
+        self._reset_data = deepcopy(data)
+        self.reader = None
+        self._notes = ""
+        self._description = "Edit Data"
+        self._default_save_location = os.getcwd()
+        self._do_layout()
+        self.reset_panel()
+        self.bt_apply.Disable()
+        if data:
+            self.complete_loading(data=data)
+            self.bt_apply.Enable()
              
     def _define_structure(self):
         """
-            define initial sizer 
+        define initial sizer 
         """
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
@@ -91,5 +97,5 @@
     def _layout_name(self):
         """
-            Do the layout for data name related widgets
+        Do the layout for data name related widgets
         """
         #data name [string]
@@ -110,5 +116,5 @@
     def _layout_title(self):
         """
-            Do the layout for data title related widgets
+        Do the layout for data title related widgets
         """
         #title name [string]
@@ -123,9 +129,10 @@
     def _layout_run(self):
         """
-            Do the layout for data run related widgets
+        Do the layout for data run related widgets
         """
         data_run_txt = wx.StaticText(self, -1, 'Run : ') 
         data_run_txt.SetToolTipString('') 
-        self.data_run_tcl = wx.TextCtrl(self, -1, size=(PANEL_WIDTH*3/5, -1), style=wx.TE_MULTILINE)
+        self.data_run_tcl = wx.TextCtrl(self, -1, size=(PANEL_WIDTH*3/5, -1),
+                                         style=wx.TE_MULTILINE)
         hint_run = "Data's run."
         self.data_run_tcl.SetToolTipString(hint_run)
@@ -135,5 +142,5 @@
     def _layout_instrument(self):
         """
-            Do the layout for instrument related widgets
+        Do the layout for instrument related widgets
         """
         instrument_txt = wx.StaticText(self, -1, 'Instrument : ') 
@@ -148,5 +155,5 @@
     def _layout_editor(self):
         """
-            Do the layout for sample related widgets
+        Do the layout for sample related widgets
         """
         self.detector_rb = wx.RadioButton(self, -1, "Detector",
@@ -186,5 +193,6 @@
             Layout widgets related to data's summary
         """
-        self.data_summary = wx.TextCtrl(self, -1, style=wx.TE_MULTILINE|wx.HSCROLL,
+        self.data_summary = wx.TextCtrl(self, -1,
+                                         style=wx.TE_MULTILINE|wx.HSCROLL,
                                         size=(-1, 200))
         summary = 'No data info available...'
@@ -196,21 +204,21 @@
             Do the layout for the button widgets
         """ 
-        self.bt_summary = wx.Button(self, -1, "View", size=(_BOX_WIDTH,-1))
+        self.bt_summary = wx.Button(self, -1, "View", size=(_BOX_WIDTH, -1))
         self.bt_summary.SetToolTipString("View final changes on data.")
         self.bt_summary.Bind(wx.EVT_BUTTON, self.on_click_view)
         
-        self.bt_save = wx.Button(self, -1, "Save As", size=(_BOX_WIDTH,-1))
+        self.bt_save = wx.Button(self, -1, "Save As", size=(_BOX_WIDTH, -1))
         self.bt_save.SetToolTipString("Save changes in a file.")
         self.bt_save.Bind(wx.EVT_BUTTON, self.on_click_save)
         
-        self.bt_apply = wx.Button(self, -1, "Apply", size=(_BOX_WIDTH,-1))
+        self.bt_apply = wx.Button(self, -1, "Apply", size=(_BOX_WIDTH, -1))
         self.bt_apply.SetToolTipString("Save changes into the imported data.")
         self.bt_apply.Bind(wx.EVT_BUTTON, self.on_click_apply)
       
-        self.bt_reset = wx.Button(self, -1,'Reset', size=(_BOX_WIDTH,-1))
+        self.bt_reset = wx.Button(self, -1, 'Reset', size=(_BOX_WIDTH, -1))
         self.bt_reset.Bind(wx.EVT_BUTTON, self.on_click_reset)
         self.bt_reset.SetToolTipString("Reset data to its initial state.")
         
-        self.bt_close = wx.Button(self, -1,'Close', size=(_BOX_WIDTH,-1))
+        self.bt_close = wx.Button(self, -1, 'Close', size=(_BOX_WIDTH, -1))
         self.bt_close.Bind(wx.EVT_BUTTON, self.on_close)
         self.bt_close.SetToolTipString("Close this panel.")
@@ -222,7 +230,7 @@
                                    (self.bt_close, 0, wx.RIGHT, 10)])
         
-    def _do_layout(self, data=None):
-        """
-            Draw the current panel
+    def _do_layout(self):
+        """
+        Draw the current panel
         """
         self._define_structure()
@@ -244,10 +252,10 @@
                                           wx.EXPAND|wx.TOP|wx.BOTTOM, 5)])
         self.SetSizer(self.main_sizer)
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         self.SetAutoLayout(True)
         
     def fill_data_combox(self):
         """
-            fill the current combobox with the available data
+        fill the current combobox with the available data
         """
         if not self._data:
@@ -275,5 +283,5 @@
         """
         """
-        data, data_name, position = self.get_current_data()
+        data, _, _ = self.get_current_data()
         self.reset_panel()
         if data is None:
@@ -322,7 +330,7 @@
     def set_sample(self, sample, notes=None):
         """
-            set sample for data
-        """
-        data, data_name, position = self.get_current_data()
+        set sample for data
+        """
+        data, _, _ = self.get_current_data()
         if data is None:
             return 
@@ -333,5 +341,5 @@
     def set_source(self, source, notes=None):
         """
-            set source for data
+        set source for data
         """
         data, data_name, position = self.get_current_data()
@@ -344,5 +352,5 @@
     def set_detector(self, detector, notes=None):
         """
-            set detector for data
+        set detector for data
         """
         data, data_name, position = self.get_current_data()
@@ -355,5 +363,5 @@
     def set_collimation(self, collimation, notes=None):
         """
-            set collimation for data
+        set collimation for data
         """
         data, data_name, position = self.get_current_data()
@@ -366,5 +374,5 @@
     def edit_collimation(self):
         """
-            Edit the selected collimation
+        Edit the selected collimation
         """
         data, data_name, position = self.get_current_data()
@@ -377,5 +385,5 @@
     def edit_detector(self):
         """
-            Edit the selected detector
+        Edit the selected detector
         """
         data, data_name, position = self.get_current_data()
@@ -388,7 +396,7 @@
     def edit_sample(self):
         """
-            Open the dialog to edit the sample of the current data
-        """
-        data, data_name, position = self.get_current_data()
+        Open the dialog to edit the sample of the current data
+        """
+        data, _, _ = self.get_current_data()
         if data is None:
             return
@@ -400,5 +408,5 @@
     def edit_source(self):
         """
-            Open the dialog to edit the saource of the current data
+        Open the dialog to edit the saource of the current data
         """
         data, data_name, position = self.get_current_data()
@@ -412,5 +420,5 @@
     def choose_data_file(self, location=None):
         """
-            Open a file dialog to allow loading a file
+        Open a file dialog to allow loading a file
         """
         path = None
@@ -432,5 +440,5 @@
     def complete_loading(self, data=None, filename=''):
         """
-            Complete the loading and compute the slit size
+        Complete the loading and compute the slit size
         """
         self.done = True
@@ -438,5 +446,6 @@
         if data is None:
             msg = "Couldn't load data"
-            wx.PostEvent(self.parent.parent, StatusEvent(status=msg, info="warning",type='stop'))
+            wx.PostEvent(self.parent.parent, StatusEvent(status=msg,
+                                             info="warning",type='stop'))
             return 
         if not  data.__class__.__name__ == "list":
@@ -450,10 +459,11 @@
             return 
         msg = "Load Complete"
-        wx.PostEvent(self.parent.parent, StatusEvent(status=msg,info="info",type='stop'))
+        wx.PostEvent(self.parent.parent, StatusEvent(status=msg,
+                                                info="info",type='stop'))
   
     def set_values(self):
         """
-            take the aperture values of the current data and display them
-            through the panel
+        take the aperture values of the current data and display them
+        through the panel
         """
         if self._data:
@@ -463,5 +473,5 @@
     def get_data(self):
         """
-            return the current data
+        return the current data
         """
         return self._data
@@ -469,5 +479,5 @@
     def get_notes(self):
         """
-            return notes
+        return notes
         """
         return self._notes
@@ -475,8 +485,8 @@
     def on_change_run(self, event=None):
         """
-            Change run
+        Change run
         """
         run = []
-        data, data_name, position = self.get_current_data()
+        data, _, _ = self.get_current_data()
         for i in range(self.data_run_tcl.GetNumberOfLines()):
             text = self.data_run_tcl.GetLineText(i).lstrip().rstrip()
@@ -485,12 +495,14 @@
         if data.run != run:
             self._notes += "Change data 's "
-            self._notes += "run from %s to %s \n"%(data.run, str(run))
+            self._notes += "run from %s to %s \n" % (data.run, str(run))
             data.run = run
-            
+        if event is not None:
+            event.Skip()
+                 
     def on_change_title(self, event=None):
         """
-            Change title
-        """
-        data, data_name, position = self.get_current_data()
+        Change title
+        """
+        data, _, _ = self.get_current_data()
         #Change data's name
         title = self.data_title_tcl.GetValue().lstrip().rstrip()
@@ -498,11 +510,13 @@
         if data.title != title:
             self._notes += "Change data 's "
-            self._notes += "title from %s to %s \n"%(data.title, str(title))
+            self._notes += "title from %s to %s \n" % (data.title, str(title))
             data.title = title
-           
+        if event is not None:
+            event.Skip()
+            
     def on_click_browse(self, event):
         """
-            Open a file dialog to allow the user to select a given file.
-            Display the loaded data if available.
+        Open a file dialog to allow the user to select a given file.
+        Display the loaded data if available.
         """
         path = self.choose_data_file(location=self._default_save_location)
@@ -510,6 +524,6 @@
             return 
         if self.parent.parent is not None:
-            wx.PostEvent(self.parent.parent, StatusEvent(status="Loading...",info="info",
-                                type="progress"))
+            wx.PostEvent(self.parent.parent, StatusEvent(status="Loading...",
+                                        info="info", type="progress"))
         
         self.done = False
@@ -526,7 +540,8 @@
             self.reader.queue()
         except:
-            msg = "Data Editor: %s"%(sys.exc_value)
+            msg = "Data Editor: %s" % (sys.exc_value)
             load_error(msg)
             return 
+        event.Skip()
          
     def on_edit(self, event):
@@ -541,10 +556,11 @@
         if self.collimation_rb.GetValue():
             self.edit_collimation()
+        event.Skip()
             
     def on_click_apply(self, event):
         """   
-            changes are saved in data object imported to edit
-        """
-        data, data_name, position = self.get_current_data()
+        changes are saved in data object imported to edit
+        """
+        data, _, _ = self.get_current_data()
         if data is None:
             return
@@ -552,8 +568,9 @@
         self.on_change_title(event=None)
         #must post event here
+        event.Skip()
         
     def on_click_save(self, event):
         """
-            Save change into a file
+        Save change into a file
         """
         if not self._data:
@@ -579,5 +596,5 @@
                     loader = Loader() 
                     format = ".xml"
-                    if os.path.splitext(mypath)[1].lower() ==format:
+                    if os.path.splitext(mypath)[1].lower() == format:
                         loader.save( path, data, format)
                     try:
@@ -586,8 +603,9 @@
                         pass    
                     dlg.Destroy()
+        event.Skip()
         
     def on_click_view(self, event):
         """
-            Display data info 
+        Display data info 
         """
         data, data_name, position = self.get_current_data()
@@ -598,4 +616,5 @@
         dlg = ConsoleDialog(data=data)
         dlg.ShowModal()
+        event.Skip()
     
     def on_click_reset(self, event):
@@ -605,16 +624,18 @@
         if data is None:
             return
-        self._data[position]= deepcopy(self._reset_data[position])
+        self._data[position] = deepcopy(self._reset_data[position])
         self.set_values()
+        event.Skip()
         
     def on_close(self, event):
         """
-            leave data as it is and close
+        leave data as it is and close
         """
         self.parent.Close()
+        event.Skip()
         
 class DataEditorWindow(wx.Frame):
     def __init__(self, parent, data=None, *args, **kwds):
-        kwds["size"]= (PANEL_WIDTH, PANEL_HEIGTH)
+        kwds["size"] = (PANEL_WIDTH, PANEL_HEIGTH)
         wx.Frame.__init__(self, parent, *args, **kwds)
         self.parent = parent
@@ -628,5 +649,5 @@
         return self.panel.get_data()
     
-if __name__ =="__main__":
+if __name__ == "__main__":
    
     app  = wx.App()
